#ifndef WXUI_H
#define WXUI_H

#include <wx/wx.h>
#include "AccountPanel.h"
#include "ButtonPanel.h"
#include "PreferencesPanel.h"
#include "UsersDialog.h"
#include "GenerateDialog.h"
#include <controller/KissCount.h>

class KissCount;
class AccountPanel;
class PreferencesPanel;

extern wxString months[12];

class wxUI: public wxFrame
{
public:

  wxUI(KissCount* kiss, const wxString& title, const wxPoint& pos, const wxSize& size);
  ~wxUI();

    void OnQuit(wxCommandEvent& event);
    void OnAbout(wxCommandEvent& event);

  void ChangeUser();
  void LoadUser();

  void ShowAccount();
  void ShowPreferences();
  void GenerateMonth(int month, int year);

  void KillMe();

  void NeedReload();

private:
  KissCount    *_kiss;
  wxBoxSizer   *_hbox;
  AccountPanel *_accountPanel;
  PreferencesPanel *_preferencesPanel;
  wxPanel      *_curPanel;
  bool         _needReload;
  void ShowPanel(wxPanel* panel);

  DECLARE_EVENT_TABLE();
  
};

enum
{
    ID_Quit = 1,
    ID_About,
};

#endif
